Index: pg_filedump.c
===================================================================
RCS file: /home/prj/pg/cvsroot/seminar/Admin/cd/tools/pg_filedump-2.0/pg_filedump.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- pg_filedump.c	31 May 2003 12:34:55 -0000	1.1
+++ pg_filedump.c	31 May 2003 12:44:49 -0000	1.2
@@ -829,7 +829,10 @@
 		  else
 			bitmapLength = 0;
 
-		  computedLength = MAXALIGN (localBitOffset + bitmapLength);
+		  if (infoMask & HEAP_HASOID)
+		        computedLength = MAXALIGN (localBitOffset + bitmapLength) + MAXALIGN (sizeof(Oid));
+		  else
+		        computedLength = MAXALIGN (localBitOffset + bitmapLength);
 
 		  // Inform the user of a header size mismatch or dump the t_bits array
 		  if (computedLength != localHoff)
